Get started

 API Endpoint https://api.fireash.com/ 

The Fireash API provides an interface for applications to interact with the fireash.com site by sending and receiving data as JSON (JavaScript Object Notation) object.

To use this API, you need a SECRET API KEY. Please register at https://app.fireash.com/register to get your own API Key.

Refer the Postman Documentation which helps you to generate code for multiple languages. https://documenter.getpostman.com/view/24633091/2s8Yt1rozA

Authentication

 
    
        curl \
        -X GET https://api.fireash.com/me \
        -H 'Authorization=Basic base64(account_id:api_key)'\
    
    

All requests to Fireash API are made with Basic Auth.

With Basic Auth you can make requests to Fireash API by passing two parameters.

You have to convert base64(account_id:api_key) and use it in Authorization header.

Username Password
account_id api_key

Extractor Collection


    

In order to fetch the Extractor from your account. You can use any of this API's.

GET Extractor


    # Here is a curl example
    curl \
    -X GET https://api.fireash.com/extractor?extractor_id=XICNdr3qLRO17ou \
    -H 'Authorization=Basic base64(account_id:api_key)'\
        

To fetch the single extractor you can use the following url :
https://api.fireash.com/extractor?extractor_id=XICNdr3qLRO17ou


        
        Result example :

        {
        "status": true,
        "message": "Extractor",
        "data": {
                "extractorId": "XICNdr3qLRO17ou",
                "extractorName": "multiple_temp",
                "status": "Published",
                "createdBy": "fireash",
                "createdAt": "29-11-2022 11:55:11"
            }
        }
    

QUERY PARAMETERS

Field Type Description
extractor_id String [REQUIRED] ?extractor_id=: You can obtain this Extractor Id parameter by calling the "Extractor List" end point or from Extractor menu.

GET Extractor List


    # Here is a curl example
    curl \
    -X GET https://api.fireash.com/extractor_list \
    -H 'Authorization=Basic base64(account_id:api_key)'\
        

To fetch the list of extractor you can use this API. :
https://api.fireash.com/extractor_list


        
        Result example :

        {
        "status": true,
        "message": "File Drop List",
        "startDate": "",
        "endDate": "",
        "pageNumber": 1,
        "perPage": 10000,
        "prePage": null,
        "nextPage": null,
        "totalRecord": 3,
        "totalPages": 1,
        "data": [
                    {
                        "extractorId": "uqWDZF5CRLtZfRK",
                        "extractorName": "new_temp",
                        "extractorStatus": "Published",
                        "extractorCreatedAt": "29-10-2022 23:41:40"
                    },
                    {
                        "extractorId": "g1cRv9CR8wIqNn6",
                        "extractorName": "xml_temp",
                        "extractorStatus": "Published",
                        "extractorCreatedAt": "28-11-2022 17:12:12"
                    },
                    {
                        "extractorId": "XICNdr3qLRO17ou",
                        "extractorName": "multiple_temp",
                        "extractorStatus": "Published",
                        "extractorCreatedAt": "29-11-2022 11:55:11"
                    }
                ]
        }
    

QUERY PARAMETERS

Field Type Description
page_number INTEGER [OPTIONAL] - [INTEGER] ?page_number=: specify the page of results to return. For example, /extracted_data?page_number=1 is the first page of the collection. The limit is optional by default it will retrieve 10000 records.
limit INTEGER [OPTIONAL] - [INTEGER] - [DEFAULT - 10000] ?limit=: specify the number of records to be retrieved per page. For example, /extracted_data?page_number=2&limit=50 - This will retrieve the second set of 50 records from the collection.
start_date DATETIME [OPTIONAL] - [DATETIME] - [FORMAT - YYYY-MM-DDTHH:MM:SS] ?start_date: specify the date and time of records to be retrieved. It will consider the CreatedAt field. For example: /extracted_data?start_date=2022-11-27T00:00:00 - This will retrieve all the records starting from mentioned date.
end_date DATETIME [OPTIONAL] - [DATETIME] - [FORMAT - YYYY-MM-DDTHH:MM:SS] ?start_date:&end_date: specify both the start date and time and end date and time of records to be retrieved. It will consider the CreatedAt field. For example: /extracted_data?start_date=2022-11-27T00:00:00&end_date=2022-11-27T23:59:59 - This will retrieve all the records between the mentioned dates.

Import Document


    

To upload the document for your extractor mapping you can use this API.

POST File Drop


    # Here is a curl example
    curl \
    -X POST https://api.fireash.com/file_upload \
    -H 'Authorization=Basic base64(account_id:api_key)'\
    --form 'file=@"/path/to/file"' \
    --form 'extractor_id="XICNdr3qLRO17ou";type=String'
        

To upload the document, you required the extractor id which you can get from the Extractor menu or you can fetch it from Extractor API.
https://api.fireash.com/file_upload


        
        Result example :

        {
        "status": true,
        "message": "File uploaded",
        "file_size": 925696,
        "file_id": "9FeMkChX8O3O6yw"
        }
    

FORM DATA

Field Type Description
file File [REQUIRED] It accepts only one file at a time. File Type is based on Extractor which you mapped.
extractor_id String [REQUIRED] You can obtain this Extractor Id parameter by calling the "Extractor List" endpoint, or from the Extractor menu.

POST File Drop Url


    # Here is a curl example
    curl --location 'https://api.fireash.com/file_upload_url' \
    --data '{
    "file_url": "https://sample-videos.com/xls/Sample-Spreadsheet-10-rows.xls",
    "extractor_id": "2npHOrGtMIRWhqM"
    }'
        

To upload the document, you required the extractor id which you can get from the Extractor menu or you can fetch it from Extractor API.
https://api.fireash.com/file_upload_url


        
        Result example :

        {
        "status": true,
        "message": "File uploaded",
        "file_size": 925696,
        "file_id": "9FeMkChX8O3O6yw"
        }
    

FORM DATA

Field Type Description
file_url File [REQUIRED] It accepts only one file at a time. File Type is based on Extractor which you mapped.
extractor_id String [REQUIRED] You can obtain this Extractor Id parameter by calling the "Extractor List" endpoint, or from the Extractor menu.

File Drop Collection


    

To fetch the details of imported document use any of these API's.

GET File


    # Here is a curl example
    curl \
    -X GET https://api.fireash.com/file?file_id=mU2KAz7HDdDGb8b \
    -H 'Authorization=Basic base64(account_id:api_key)'\
        

To fetch the single imported file information you can use this API. :
https://api.fireash.com/file?file_id=mU2KAz7HDdDGb8b


        
        Result example :

        {
        "status": true,
        "message": "Imported File",
        "extractorName": "multiple_temp",
        "extractorId": "XICNdr3qLRO17ou",
        "data": {
            "description": "Json Ready",
            "fileStatus": "Completed",
            "fileId": "mU2KAz7HDdDGb8b",
            "fileName": "Sample.xls",
            "fileSize": "925696",
            "createdAt": "29-11-2022 12:30:01",
            "processedAt": "Invalid date"
            }
        }
    

QUERY PARAMETERS

Field Type Description
file_id String [REQUIRED] ?file_id=: You can obtain this File Id parameter when you upload a document using the "File Drop" endpoint, or else you can get it by calling the "File Drop List" endpoint or from the "File Drop" menu.

GET File Drop List


    # Here is a curl example
    curl \
    -X GET https://api.fireash.com/file_drop_list?extractor_id=g1cRv9CR8wIqNn6 \
    -H 'Authorization=Basic base64(account_id:api_key)'\
        

To fetch the list of imported document details you can use this API. :
https://api.fireash.com/file_drop_list?extractor_id=g1cRv9CR8wIqNn6


        
        Result example :

        {
        "status": true,
        "message": "File Drop List",
        "extractorName": "xml_temp",
        "extractorId": "g1cRv9CR8wIqNn6",
        "startDate": "",
        "endDate": "",
        "pageNumber": 1,
        "perPage": 10000,
        "prePage": null,
        "nextPage": null,
        "totalRecord": 4,
        "totalPages": 1,
        "data": [
            {
                "description": "File Dropped",
                "fileStatus": "File Dropped",
                "fileId": "hPPzieU5BJVw4K1",
                "fileName": "Sample.xml",
                "fileSize": "9566",
                "createdAt": "28-11-2022 20:23:49",
                "processedAt": "28-11-2022 20:23:49"
            },
            {
                "description": "File Dropped",
                "fileStatus": "File Dropped",
                "fileId": "uOL2tIDgalC3M1A",
                "fileName": "Sample.xml",
                "fileSize": "9566",
                "createdAt": "28-11-2022 21:02:23",
                "processedAt": "28-11-2022 21:02:23"
            },
            {
                "description": "Json Ready",
                "fileStatus": "Completed",
                "fileId": "NOWB6yvlIM7uiVs",
                "fileName": "Sample.xml",
                "fileSize": "9566",
                "createdAt": "28-11-2022 21:05:51",
                "processedAt": "28-11-2022 20:23:49"
            },
            {
                "description": "Json ready",
                "fileStatus": "Completed",
                "fileId": "KJkHCzBwDUtdEU7",
                "fileName": "Sample.xml",
                "fileSize": "9566",
                "createdAt": "28-11-2022 21:19:22",
                "processedAt": "28-11-2022 21:25:22"
            }
        ]
        }
    

QUERY PARAMETERS

Field Type Description
extractor_id STRING [REQUIRED] ?extractor_id=: You can obtain this Extractor Id parameter by calling the "Extractor List" end point or from Extractor menu.
file_status STRING [OPTIONAL] ?file_status=: You can fetch data based on file status. Use comma for multiple status.
page_number INTEGER [OPTIONAL] - [INTEGER] ?page_number=: specify the page of results to return. For example, /extracted_data?page_number=1 is the first page of the collection. The limit is optional by default it will retrieve 10000 records.
limit INTEGER [OPTIONAL] - [INTEGER] - [DEFAULT - 10000] ?limit=: specify the number of records to be retrieved per page. For example, /extracted_data?page_number=2&limit=50 - This will retrieve the second set of 50 records from the collection.
start_date DATETIME [OPTIONAL] - [DATETIME] - [FORMAT - YYYY-MM-DDTHH:MM:SS] ?start_date: specify the date and time of records to be retrieved. It will consider the CreatedAt field. For example: /extracted_data?start_date=2022-11-27T00:00:00 - This will retrieve all the records starting from mentioned date.
end_date DATETIME [OPTIONAL] - [DATETIME] - [FORMAT - YYYY-MM-DDTHH:MM:SS] ?start_date:&end_date: specify both the start date and time and end date and time of records to be retrieved. It will consider the CreatedAt field. For example: /extracted_data?start_date=2022-11-27T00:00:00&end_date=2022-11-27T23:59:59 - This will retrieve all the records between the mentioned dates.

Processed Data


    

To fetch the processed document which you uploaded. You need file_id which you will receive when you upload the document, or you can get the file_id from File Drop API's

GET Extracted Data


    # Here is a curl example
    curl \
    -X GET https://api.fireash.com/file_drop_list?extractor_id=g1cRv9CR8wIqNn6 \
    -H 'Authorization=Basic base64(account_id:api_key)'\
        

To fetch the processed data, you can use this API. :
https://api.fireash.com/file_drop_list?extractor_id=g1cRv9CR8wIqNn6


        
        Result example :

        {
        "status": true,
        "message": "Extracted Data",
        "description": "Json Ready",
        "fileStatus": "Completed",
        "extractorName": "multiple_temp",
        "extractorId": "XICNdr3qLRO17ou",
        "fileId": "mU2KAz7HDdDGb8b",
        "fileName": "Sample.xls",
        "fileSize": "925696",
        "createdAt": "29-11-2022 12:30:01",
        "processedAt": "Invalid date",
        "pageNumber": "2",
        "perPage": "5",
        "prePage": 1,
        "nextPage": "21",
        "totalRecord": 4999,
        "totalPages": 1000,
        "data": [
            {
                "eldon_base_for_stackable_storage_shelf_platinum": "Angle-D Binders with Locking Rings, Label Holders",
                "muhammed_macintyre": "Carl Jackson",
                "nunavut": "NUNAVUT",
                "storage_organization": "Binde",
                "add_column": "test"
            },
            {
                "eldon_base_for_stackable_storage_shelf_platinum": "SAFCO Mobile Desk Side File, Wire Frame",
                "muhammed_macintyre": "Carl Jackson",
                "nunavut": "NUNAVUT",
                "storage_organization": "Stora",
                "add_column": "test"
            },
            {
                "eldon_base_for_stackable_storage_shelf_platinum": "SAFCO Commercial Wire Shelving, Black",
                "muhammed_macintyre": "Monica Federle",
                "nunavut": "NUNAVUT",
                "storage_organization": "Stora",
                "add_column": "test"
            },
            {
                "eldon_base_for_stackable_storage_shelf_platinum": "Xerox 198",
                "muhammed_macintyre": "Dorothy Badders",
                "nunavut": "NUNAVUT",
                "storage_organization": "Paper",
                "add_column": "test"
            },
            {
                "eldon_base_for_stackable_storage_shelf_platinum": "Xerox 1980",
                "muhammed_macintyre": "Neola Schneider",
                "nunavut": "NUNAVUT",
                "storage_organization": "Paper",
                "add_column": "test"
            }
        ]
        }
    

QUERY PARAMETERS

Field Type Description
file_id STRING [REQUIRED] ?file_id=: You can obtain this File Id parameter when you upload a document using the "File Drop" endpoint, or else you can get it by calling the "File Drop List" endpoint or from the "File Drop" menu.
page_number INTEGER [OPTIONAL] - [INTEGER] ?page_number=: specify the page of results to return. For example, /extracted_data?page_number=1 is the first page of the collection. The limit is optional by default it will retrieve 10000 records.
limit INTEGER [OPTIONAL] - [INTEGER] - [DEFAULT - 10000] ?limit=: specify the number of records to be retrieved per page. For example, /extracted_data?page_number=2&limit=50 - This will retrieve the second set of 50 records from the collection.
start_date DATETIME [OPTIONAL] - [DATETIME] - [FORMAT - YYYY-MM-DDTHH:MM:SS] ?start_date: specify the date and time of records to be retrieved. It will consider the CreatedAt field. For example: /extracted_data?start_date=2022-11-27T00:00:00 - This will retrieve all the records starting from mentioned date.
end_date DATETIME [OPTIONAL] - [DATETIME] - [FORMAT - YYYY-MM-DDTHH:MM:SS] ?start_date:&end_date: specify both the start date and time and end date and time of records to be retrieved. It will consider the CreatedAt field. For example: /extracted_data?start_date=2022-11-27T00:00:00&end_date=2022-11-27T23:59:59 - This will retrieve all the records between the mentioned dates.